<?xml version="1.0" encoding="utf-8"?>
<uk.co.androidalliance.edgeeffectoverride.ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:fillViewport="true"
    app:edgeeffect_color="@color/primary">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            style="@style/ItemParentBackground"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                style="@style/ItemBackground"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="0dp">

                <ImageView
                    android:id="@+id/coupon_detail_img_coupon"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/common_spacing"
                    android:adjustViewBounds="true"
                    android:background="@null" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <com.ibs.roann.view.ToyosuTextView
                        android:id="@+id/coupon_detail_tv_off"
                        style="@style/CouponDetailOffText"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:padding="@dimen/coupon_detail_sale_off_spacing" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentStart="true"
                        android:layout_alignTop="@+id/coupon_detail_tv_off"
                        android:layout_margin="@dimen/common_spacing"
                        android:layout_toStartOf="@+id/coupon_detail_tv_off"
                        android:orientation="vertical">

                        <com.ibs.roann.view.ToyosuTextView
                            android:id="@+id/coupon_detail_tv_coupon_name"
                            style="@style/CommonBlackText"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="bottom"
                            android:textStyle="bold" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="top"
                            android:layout_weight="1"
                            android:orientation="horizontal">

                            <com.ibs.roann.view.ToyosuTextView
                                android:id="@+id/coupon_detail_tv_coupon_expired_title"
                                style="@style/CommonBlackText"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="top"
                                android:gravity="top"
                                android:text="@string/coupon_lb_expired_date_upper"
                                android:textStyle="bold" />

                            <com.ibs.roann.view.ToyosuTextView
                                android:id="@+id/coupon_detail_tv_coupon_expired"
                                style="@style/CommonBlackText"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="top"
                                android:layout_marginStart="@dimen/common_small_spacing"
                                android:gravity="top" />
                        </LinearLayout>
                    </LinearLayout>
                </RelativeLayout>

                <com.ibs.roann.view.ToyosuTextView
                    android:id="@+id/coupon_detail_tv_coupon_title"
                    style="@style/CommonPrimaryText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/common_spacing" />
            </LinearLayout>
        </LinearLayout>

        <com.ibs.roann.view.ToyosuTextView
            android:id="@+id/coupon_detail_tv_condition_title"
            style="@style/CommonBlackText"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/common_big_spacing"
            android:text="@string/coupon_lb_condition" />

        <com.ibs.roann.view.ToyosuTextView
            android:id="@+id/coupon_detail_tv_condition"
            style="@style/CommonBlackText"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/common_big_spacing"
            android:layout_marginStart="@dimen/common_big_spacing" />

        <com.ibs.roann.view.ToyosuTextView
            android:id="@+id/coupon_detail_tv_use"
            style="@style/PrizeUse"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/common_spacing"
            android:padding="@dimen/coupon_detail_sale_off_spacing"
            android:background="@drawable/prize_use_enable_bg"
            android:text="Use"/>

        <LinearLayout
            style="@style/ItemParentBackground"
            android:layout_marginTop="@dimen/common_big_spacing"
            android:orientation="vertical">

            <LinearLayout
                style="@style/ItemBackground"
                android:orientation="vertical">

                <com.ibs.roann.view.ToyosuTextView
                    android:id="@+id/coupon_detail_tv_related_item_title"
                    style="@style/CommonBlackText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/common_related_item_title"
                    android:textStyle="bold" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <com.ibs.roann.view.ToyosuTextView
                        android:id="@+id/coupon_detail_screen_tv_reload"
                        style="@style/CommonPrimaryText"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:gravity="center"
                        android:text="@string/common_tap_to_reload"
                        android:visibility="gone" />

                    <android.support.v7.widget.RecyclerView
                        android:id="@+id/coupon_detail_screen_rv_related_item"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/common_spacing" />
                </RelativeLayout>

            </LinearLayout>

        </LinearLayout>


        <include
            layout="@layout/toyosu_item_footer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" />

    </LinearLayout>

</uk.co.androidalliance.edgeeffectoverride.ScrollView>